class GetAdminToken {
  int? code;
  Details? details;
  String? message;
  bool? status;

  GetAdminToken({this.code, this.details, this.message, this.status});

  GetAdminToken.fromJson(Map<String, dynamic> json) {
    code = json['code'];
    details =
    json['details'] != null ? new Details.fromJson(json['details']) : null;
    message = json['message'];
    status = json['status'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['code'] = this.code;
    if (this.details != null) {
      data['details'] = this.details!.toJson();
    }
    data['message'] = this.message;
    data['status'] = this.status;
    return data;
  }
}

class Details {
  int? applocationid;
  String? locationname;
  String? image;
  String? city;
  String? state;
  String? postcode;
  String? latitude;
  String? longitude;
  String? opentime;
  String? closetime;
  int? radius;
  List<Applocationadmins>? applocationadmins;

  Details(
      {this.applocationid,
        this.locationname,
        this.image,
        this.city,
        this.state,
        this.postcode,
        this.latitude,
        this.longitude,
        this.opentime,
        this.closetime,
        this.radius,
        this.applocationadmins});

  Details.fromJson(Map<String, dynamic> json) {
    applocationid = json['applocationid'];
    locationname = json['locationname'];
    image = json['image'];
    city = json['city'];
    state = json['state'];
    postcode = json['postcode'];
    latitude = json['latitude'];
    longitude = json['longitude'];
    opentime = json['opentime'];
    closetime = json['closetime'];
    radius = json['radius'];
    if (json['applocationadmins'] != null) {
      applocationadmins = <Applocationadmins>[];
      json['applocationadmins'].forEach((v) {
        applocationadmins!.add(new Applocationadmins.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['applocationid'] = this.applocationid;
    data['locationname'] = this.locationname;
    data['image'] = this.image;
    data['city'] = this.city;
    data['state'] = this.state;
    data['postcode'] = this.postcode;
    data['latitude'] = this.latitude;
    data['longitude'] = this.longitude;
    data['opentime'] = this.opentime;
    data['closetime'] = this.closetime;
    data['radius'] = this.radius;
    if (this.applocationadmins != null) {
      data['applocationadmins'] =
          this.applocationadmins!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Applocationadmins {
  int? applocationconfigid;
  int? applocationid;
  int? userid;
  String? userfcmtokem;
  String? notify;

  Applocationadmins(
      {this.applocationconfigid,
        this.applocationid,
        this.userid,
        this.userfcmtokem,
        this.notify});

  Applocationadmins.fromJson(Map<String, dynamic> json) {
    applocationconfigid = json['applocationconfigid'];
    applocationid = json['applocationid'];
    userid = json['userid'];
    userfcmtokem = json['userfcmtokem'];
    notify = json['notify'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['applocationconfigid'] = this.applocationconfigid;
    data['applocationid'] = this.applocationid;
    data['userid'] = this.userid;
    data['userfcmtokem'] = this.userfcmtokem;
    data['notify'] = this.notify;
    return data;
  }
}
